Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161300 - array subscript out of range
Summary: array subscript out of range
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-22 06:40 UTC by David Binderman
Modified: 2018-04-11 07:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-01 14:36:39 UTC


Attachments (Terms of Use)

Description David Binderman 2005-06-22 06:40:02 UTC
Description of problem:

I just tried to compile package mozilla-1.7.8-2 from Redhat
Fedora Core development tree with a new development version of the
GNU C compiler.

The compiler said

txXSLTNumberCounters.cpp:200: warning: array subscript out of range

The source code is

    PRUnichar buf[11];
    buf[11] = 0;

Clearly broken code. buf[11] doesn't exist. Suggest either make the
buffer bigger, or change the index from 11 to 10.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Matěj Cepl 2008-02-01 14:36:39 UTC
Fixed long time ago, no idea when.


Note You need to log in before you can comment on or make changes to this bug.